/*  Program : BlueToothTest
 *  About :   Android application proof of concept for triggering
 *            a camera remotely
 *  File :    SharedStatus.java
 *  Purpose : Implements a singleton for cleanly sharing a variable
 *            between two classes
 *   
 *  Copyright (C) 2011  Geoff Kerr, Digital Systems Technologies
 *  
 *  http://digisystech.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package test.BlueToothTest;

public class SharedStatus
{
   private static SharedStatus Inst        = null;
   private static boolean      created     = false;
   private static int          status      = 0;
   
   public  int getStatus()
   {
      return status;
   }
   
   public void setStatus(int in)
   {
      status = in;
   }
   
   private SharedStatus()
   {

   }
      
   public static SharedStatus getInstance()
   {
      if (!created)
      {
         Inst = new SharedStatus();
         created = true;
      }
      return Inst;
   }
}
